gitit

Network.Gitit.Rpxnow

Synopsis

- data Identifier = Identifier {
  - userIdentifier :: String
  - userData :: [(String, String)]
  }
- authenticate :: Monad m => String -> String -> IO (m Identifier)

# Documentation

data Identifier

Information received from Rpxnow after a valid login.

Constructors

Identifier |

Fields

userIdentifier :: String
userData :: [(String, String)]

Instances

Show Identifier |

authenticate

Arguments

:: Monad m |
=> String | API key given by RPXNOW.
-> String | Token passed by client.
-> IO (m Identifier) |

Attempt to log a user in.